# UnknownPropertyException

open class UnknownPropertyException : InvalidUserDataException

The exception that will be thrown when an attempt is made to read a property that is not set.

## Constructors

UnknownPropertyException
Link copied to clipboard
constructor(extension: ExtraPropertiesExtension, propertyName: String)

## Properties

cause
Link copied to clipboard
open val cause: Throwable
stackTrace
Link copied to clipboard
open var stackTrace: Array<StackTraceElement>

## Functions

addSuppressed
Link copied to clipboard
fun addSuppressed(p: Throwable)
createMessage
Link copied to clipboard
open fun createMessage(propertyName: String): String
fillInStackTrace
Link copied to clipboard
open fun fillInStackTrace(): Throwable
getLocalizedMessage
Link copied to clipboard
open fun getLocalizedMessage(): String
getMessage
Link copied to clipboard
open fun getMessage(): String
getSuppressed
Link copied to clipboard
fun getSuppressed(): Array<Throwable>
initCause
Link copied to clipboard
open fun initCause(p: Throwable): Throwable
printStackTrace
Link copied to clipboard
open fun printStackTrace()
toString
Link copied to clipboard
open fun toString(): String